Skip to main content
GET
/
api
/
v2
/
perp
/
markets
GET /api/v2/perp/markets — List all perpetual markets
curl --request GET \
  --url https://api.shuriken.trade/api/v2/perp/markets \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "ctx": {
        "dayNtlVlm": "<string>",
        "funding": "<string>",
        "markPx": "<string>",
        "midPx": "<string>",
        "openInterest": "<string>",
        "oraclePx": "<string>",
        "premium": "<string>",
        "prevDayPx": "<string>"
      },
      "meta": {
        "assetIndex": 1,
        "maxLeverage": 1,
        "name": "<string>",
        "onlyIsolated": true,
        "szDecimals": 123
      },
      "asks": [
        {
          "numOrders": 1,
          "price": "<string>",
          "size": "<string>"
        }
      ],
      "bids": [
        {
          "numOrders": 1,
          "price": "<string>",
          "size": "<string>"
        }
      ]
    }
  ],
  "requestId": "<string>",
  "pagination": {
    "hasMore": true,
    "limit": 1,
    "page": 1,
    "total": 1
  }
}

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <jwt> for user auth or Authorization: Bearer sk_{keyId}_{secret} for API key auth.

Response

200 - application/json

List of perpetual markets

V2 success response envelope

data
object[]
required
requestId
string
required
pagination
object

Page-based pagination info (per RFC)